#
# Conditional build:
%bcond_without	silc	# SILC support
#
Summary:	Grubby - GGZ chat bot
Summary(pl.UTF-8):	Grubby - bot dla chatu GGZ
Name:		ggz-grubby
Version:	0.0.14.1
Release:	15
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://mirrors.dotsrc.org/ggzgamingzone/ggz/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	32f8a5992ce4c9d6fde19512ea0eee5c
Patch0:		%{name}-silc.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-libdir.patch
Patch3:		%{name}-ruby.patch
URL:		http://www.ggzgamingzone.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	ggz-client-libs-devel >= 0.0.14
BuildRequires:	libggz-devel >= 0.0.14
BuildRequires:	libtool
BuildRequires:	perl-devel >= 1:5.6.0
# not ready
#BuildRequires:	php-devel >= 4
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.2
BuildRequires:	ruby-devel >= 1.9
%{?with_silc:BuildRequires:	silc-toolkit-devel >= 1.1}
BuildRequires:	tcl-devel >= 8.5
Requires(post,preun):	ggz-client-libs >= 0.0.14
Requires:	ggz-client-libs >= 0.0.14
Requires:	libggz-devel >= 0.0.14
%{?with_silc:Requires:	silc-toolkit >= 1.1}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains grubby, the almighty chatbot. It's a single
binary, but it is very flexible and extensible by plugins and scripts.

%description -l pl.UTF-8
Ten pakiet zawiera program grubby - wszechmocnego bota dla czatu GGZ.
Jest to pojedyncza binarka, ale jest bardzo elastyczna i rozszerzalna
poprzez wtyczki i skrypty.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4 -I m4/ggz
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/grubby/*modules/*.{la,a}

# collect modules.ggz pieces
install -d $RPM_BUILD_ROOT%{_datadir}/ggz/ggz-config
cp -p games/guru-chess/module.dsc $RPM_BUILD_ROOT%{_datadir}/ggz/ggz-config/guru-chess.dsc
cp -p games/guru-ttt/module.dsc $RPM_BUILD_ROOT%{_datadir}/ggz/ggz-config/guru-ttt.dsc
%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/ggz.modules

%find_lang grubby

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/ggz-config --install --modfile=%{_datadir}/ggz/ggz-config/guru-chess.dsc --force
%{_bindir}/ggz-config --install --modfile=%{_datadir}/ggz/ggz-config/guru-ttt.dsc --force

%preun
if [ "$1" = "0" ]; then
	%{_bindir}/ggz-config --remove --modfile=%{_datadir}/ggz/ggz-config/guru-chess.dsc
	%{_bindir}/ggz-config --remove --modfile=%{_datadir}/ggz/ggz-config/guru-ttt.dsc
fi

%files -f grubby.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.GGZ TODO
%attr(755,root,root) %{_bindir}/grubby
%attr(755,root,root) %{_bindir}/grubby-config
%attr(755,root,root) %{_libdir}/ggz/guru-chess
%attr(755,root,root) %{_libdir}/ggz/guru-ttt
%dir %{_libdir}/grubby
%dir %{_libdir}/grubby/coremodules
%attr(755,root,root) %{_libdir}/grubby/coremodules/libguru_*.so
%dir %{_libdir}/grubby/modules
%attr(755,root,root) %{_libdir}/grubby/modules/libgurumod_*.so
%{_datadir}/ggz/ggz-config/guru-chess.dsc
%{_datadir}/ggz/ggz-config/guru-ttt.dsc
%dir %{_datadir}/grubby
%attr(755,root,root) %{_datadir}/grubby/*.pl
%attr(755,root,root) %{_datadir}/grubby/*.rb
%{_mandir}/man1/grubby-config.1*
%{_mandir}/man6/grubby.6*
%lang(de) %{_mandir}/de/man1/grubby-config.1*
%lang(de) %{_mandir}/de/man6/grubby.6*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ggz-grubby.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> b165c82
- rebuild with perl 5.30.0
- release 15 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 6fb8de5
- rebuild with perl 5.28.0
- release 14 (by relup.sh)

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 6887e31
- rebuild with ruby 2.3
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b978666
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 89f7e89
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 10531cc
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> dfe58a5
- ruby 2.1 rebuild
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> e9dda73
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5285114
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 4c5ad35
- ruby 2.0 rebuild
- release 6 (by relup.sh)

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 33a7d02
- tcl rebuild
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 554ffba
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> da6ebcc
- base doesn't require ggz-client-libs-devel

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 01e3879
- generate modules.ggz entries in post
- release 2

* Fri Feb 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 5c1c687
- new
- silc patch contains updates for SILC 1.1 API
- link patch fixes linking
- libdir patch kills hardcoded */lib usage
- ruby patch contains updates for Ruby 1.9 embedding API

